> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Vaultの更新

> 指定した vault オブジェクトを更新します。



## OpenAPI

````yaml 26.3/cloud/ja/api-reference/openapi.json PUT /vault('{Id}')
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Arc インスタンスのベース URL
          です。スキームとアプリケーションパスを含みます（例：https://arc.example.com/api.rsc）。
security: []
paths:
  /vault('{Id}'):
    put:
      tags:
        - vault
      summary: Vaultの更新
      description: 指定した vault オブジェクトを更新します。
      operationId: updatevault
      parameters:
        - name: Id
          in: path
          description: キー Id
          required: true
          schema:
            type: string
      requestBody:
        description: 更新する vault エンティティ。
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/vault'
      responses:
        '200':
          description: EntitySet vault
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/vault'
        '204':
          description: vault が更新されました
          content: {}
        default:
          description: 予期しないエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    vault:
      type: object
      properties:
        Id:
          description: Vault項目のId。
          type: string
        Name:
          description: Vault項目の名前。
          type: string
        Type:
          description: Vault項目のタイプ（Standard またはEncrypted）。
          type: string
        ShowType:
          description: Vault項目のTypeを出力するかどうか。
          type: string
        Tags:
          description: Vault項目のタグ。
          type: string
        Value:
          description: Vault項目の値。
          type: string
      required:
        - Id
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````